Вход на сайт

Регистрация на сайте автоматическая при оформлении первого заказа

Модуль Менеджер заказов Opencart 2.x - модуль для управления заказами из админки. 

Модуль позволит увеличить скорость обработки заказов менеджером интернет-магазина. Заказы будут показываться на главной странице админки.

Массовое управление заказами Opencart 2

Например, можно выделить сразу несколько заказов и удалить их, что нельзя сделать в стандартном менеджере заказов Opencart 2

Быстрое изменение статуса заказа Opencart 2

Позволяет изменять статус заказа прямо со списка, что очень удобно и быстро.

Никаких ключей и лицензий, никаких привязок к домену.

Установка модуля Менеджер заказов OC2

1. Распаковать архив order_manager.zip и выбрать модуль для вашей версии Opencart
2. Установить файл order_manager_ocxx.ocmod из админки
3. Обновить модификаторы в админке
4. Дать права: перейти в Система > Пользователи > Группы пользователей > Администраторы и поставить галочки возле двух пунктов в обоих блоках:
- dashboard/manager
- module/manager (для Opencart 2.3 - extension/module/manager)
5. Включить и настроить модуль Менеджер заказов
6. Перейти на главную страницу админки - Панель управления (или Обзор, или Панель состояния, в зависимости от перевода), там появится блок списка заказов.

Модуль работает на Opencart 2.0, 2.1, 2.2, 2.3

Если в Менеджере заказов ошибка "Внимание! Доступ запрещен к API!" - что нужно сделать:

Если у вас постоянный IP-адрес может попробуйте сделать это:
1) зайти в Система -> Пользователи -> API. Если API еще не создано - создаем (вводим имя API, генерируем ключ, включаем статус), если уже есть - редактируем в открывшемся окне во вкладке IP адресов добавляем свой, сохраняем
2) потом зайти в Система->Настройки, открыть настройки магазина, во вкладке Опции в API User выбрать API с именем из предыдущего  шага и сохранить настройки

Если у вас IP-адрес динамичный - нужно добавлять автоматически IP при авторизации:
откройте файл /admin/controller/common/login.php
найдите там:
if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
после него вставьте код:
$this->load->model('user/api');
$api_info = $this->model_user_api->getApi($this->config->get('config_api_id'));           
$this->model_user_api->addApiIp($api_info['api_id'], $this->request->server['REMOTE_ADDR']);
После любых оперций с файлами желательно обновить модификации в админке, чтобы сбросить кеш файлов.

Изменения:
22.11.2016 - сделана русификация модуля
28.12.2016 - добавлена версия для Opencart 2.2
24.02.2017 - добавлена версия для Opencart 2.3
28.03.2019 - фикс ошибки API

Оцените этот модуль
Рейтинг: 5 из 5   -   4 голосов
  • Opencart 2.0
  • Opencart 2.1 и ocStore 2.1
  • Opencart 2.2
  • Opencart 2.3 и ocStore 2.3

Нужен этот модуль для Opencart 3.0 ?

1. Скачайте и установите фикс Localcopy
2. Обновите модификации в админке
3. Загрузите модуль наново

Ошибка 500 после установки модуля означает, что случилась какая-то критическая ошибка в php.

Для определение проблемы можно:
1. Открыть файл logs/error.log на вашем сервере. В конце этого файла будут все последние критические ошибки.
2. Открыть в админке Инструменты > Логи ошибок - в этом месте отображаются ошибки, но не всегда.
3. Включить вывод ошибок php на экран - добавить следующий код в конец файла .htaccess:

php_value display_errors 1
php_value display_startup_errors 1
php_value error_reporting E_ALL

Возможные причины:

1. Если вы раньше не загружали модули в архиве через админку - вам нужно установить бесплатную модификацию localcopy.ocmod.xml согласно инструкции и после этого переустановить модуль

2. Возможно  в устанавливаемого модуля нет собственной страницы настроек и соответственно его не будет в списке Модулей

Два варианта решения:

1. Если при установке модуля из админки вылетает эта ошибка - вам нужно установить бесплатную FTP QuickFix модификацию localcopy.ocmod.xml. Она установиться без проблем через тот же установщик дополнений, только после установки не забудьте обновить модификации и затем можете приступать к установке любых модулей на Opencart 2.

2. Также решить эту ошибку можно по другому: прописать доступы к FTP в админке Система > Настройки > Магазин > вкладка FTP.

Если вы видите сообщение "Доступ запрещен!  У Вас нет прав для доступа к этой странице. Если она Вам нужна, обратитесь к администратору." -  нужно дать права администраторам на управление модулем или страницей.

Решение: в админке Opencart 2 переходим в Система > Пользователи > Группы пользователей > Администраторы и здесь нажимаем "Выделить все" ниже обоих блоков, затем Сохранить.

Еще одной причиной появления этой ошибки может быть не правильная установка модуля - файлы не загрузились на свои места. Загрузите файлы модуля вручную на сервер или установите фикс localcopy и переустановите модуль.

Решение: в админке Opencart 2 переходим в Система > Пользователи > Группы пользователей > Администраторы и здесь нажимаем "Выделить все" ниже обоих блоков, затем Сохранить.

Если модуль - это один XML файл,  то его расширение должно быть .ocmod.xml

Если модуль - это ocmod.zip архив, то его не нужно распаковывать, а устанавливать как есть. В таком архиве обязательно должна быть папка upload (может быть пустой), а также могут быть файлы модификаций: install.xml, install.php, install.sql. Никаких других файлов в корне архива быть не должно.

Читайте подробнее как устанавливать модули в Opencart 2

Эта ошибка означает, что в загружаемом архиве отсутсвует папка upload. Даже если у модуля нет файлов, кроме модификаций - эта папка должна присутствовать в архиве модуля .ocmod.zip, тогда она должна оставаться пустой.

Эта ошибка означает, что вы пытаетесь установить модификатор, который уже установлен или, возможно, у какого-то вашего модуля такой же ID.

Для решения этой ошибки вам нужно перед установкой удалить старую версию модификации в разделе Модули > Модификации.

Если такого модуля у вас нет, но совпадает ID, тогда нужно поменять значение параметра <code> в устанавливаемом модификаторе XML, сделать этот параметр уникальным дописав несколько символов.

Эта ошибка означает, что вы пытаетесь установить слишком объемный xml-модификатор.

Количество символов в ocmod.xml файле не должно превышать 65535.

Для решения ошибки нужно разбить xml-файл модификации на несколько частей, главное - не забыть задавать каждой уникальное значение в <code>, можно добавлять к текущему значению цифры 1,2,3... как идентификаторы части.

Еще одним способом решения есть изменения типа в поля, где храняться модификации, в таблице 'oc_modification' базы данных. Нужно выполнить следующий SQL-запрос:
ALTER TABLE oc_modification CHANGE xml xml MEDIUMTEXT CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL ;

Похоже, вы установили на Opencart 2.3.x.x модуль для более старых версий этой системы, то есть не совместимый модуль. Нужно удалить все файлы этого модуля, иначе ошибка не исчезнет.

Для удаления файлов модулей из админкм в один клик можно использовать модуль 

Также данная ошибка может возникать, если скрипт обращается к несуществующей таблице в базе данных. То есть, таблица модуля не создалась при установке. Читайте инструкцию по установке и переустановите модуль.

Если модуль не реагирует на ваши действия, будь-то нажатие на кнопку или загрузка карты или выбор даты или на любое другое действие которое есть в функционале модуля - скорее всего произошел конфликт в JS-скриптах.

Нажмите F12 на проблемной странице в браузере - откроется панель вебмастера, где на вкладке Console можно увидеть конфликты в скриптах, если они есть. Данное действие доступно в браузерах Chrome, Opera, Firefox.


Это раздел отзывов, комментариев и вопросов!
Решением проблем занимается техподдержка

Админка / Бек-энд
  • Цена: 299 руб.

- с помощьюВарианты оплаты заказа
или
Оформить VIP-подписку на все файлы
Подробнее о VIP-подписке

  • Cовместимость протестирована
  • Формат OCMOD
  • Открытый код
  • Нет привязки к домену
  • Нет вирусов и жучков
  • Техподдержка

Про Opencart 2:

Купить VIP подписку на модули и шаблоны Opencart 2.x

Смотрите также:

Автоопределение языка и валюты по IP клиента для Opencart 2.x

Автоопределение языка и валюты по IP клиента для Opencart 2.x

Модуль для автоопределение языка и валюты на основе IP клиента для Opencart 2.x. У вас появится возм..

Цена: 299 руб.

Фильтр товаров по категориям в админке Opencart 2

Фильтр товаров по категориям в админке Opencart 2

Модификация, которая добавляет фильтр по категории в список товаров в админке Opencart 2. Также доба..

Бесплатно

Модуль Описание производителей Opencart 2.x

Модуль Описание производителей Opencart 2.x

Модуль Описание производителей Opencart 2.x дает возможность добавлять  описание и мета-теги на..

Цена: 299 руб.

Модуль Защита админки Opencart 2

Модуль Защита админки Opencart 2

Модуль для защиты админки Opencart 2.x. Теперь вы сможете защитить административную панель от подбор..

Цена: 199 руб.

Расширенные отчеты по заказам и продажам для Opencart 2

Расширенные отчеты по заказам и продажам для Opencart 2

Модуль Расширенные отчеты по заказам и продажам для Opencart 2 - это дополнений, которое позволит ва..

Цена: 299 руб.

Вывод артикула товара SKU на сайте в Opencart 2.x

Вывод артикула товара SKU на сайте в Opencart 2.x

Модификация, которая позволит выводить код товара SKU на сайте и в админкеАртикул товара SKU выведет..

Бесплатно

Смена статуса товара прямо со списка товаров

Смена статуса товара прямо со списка товаров

Модуль для смены статуса товара прямо со списка товаров в Opencart 2.x с помощью AJAX, то есть ..

Бесплатно

Модуль Шаблоны писем для Opencart 2

Модуль Шаблоны писем для Opencart 2

Хотите изменить шаблоны писем, которые отправляются клиенту с вашего сайта? Модуль решит вашу задачу..

Цена: 249 руб.